proc native_to_unix {native} {

  switch -regexp -- $native {
    ^:$   {set this [pwd]}
    ^.$   {set this [pwd]}
    ^..$  {set this [file dirname [pwd]]}
    ^::$  {set this [file dirname [pwd]]}
    default {set this $native}
  }
  
  switch -regexp -- $this {
    ^[A-Za-z]\:[\/\\]
    { regsub -all -- {([\\]+)} $this "/" result }
    [:]+ 
    {
      if {[regexp {^[a-zA-Z]} $this match]} {
	set this "/$this"
      }
      regsub -all -- {([:]+)} $this "/" result
    }
    default {set result $this}
  }
  
  return $result
}



proc my_file_dirname {long_file_name} {
  return [native_to_unix [file dirname $long_file_name]]
}


proc my_pwd {} {
  return [native_to_unix [pwd]]
}


proc my_cd {directory_name} {
  cd [native_to_unix $directory_name]
}
