#!/usr/local/bin/wish40

#####################################################################
# FILE:    find_text.tcl
# PURPOSE: search for text in main text window
#
# AUTHOR:  Giovanni Flammia 
#
#         (N)[b] Copyright (c) 1995
#         Spoken Language Systems Group
#         Laboratory for Computer Science
#         Massachusetts Institute of Technology
#####################################################################

puts "Loading: find_text.tcl..."


set current_index "1.0"
set dboxEntry ""

# From Ousterhaut book page. 219:
proc forAllMatches {w pattern script} {
    scan [$w index end] %d numLines
    for {set i 1} {$i < $numLines} {incr i} {
	$w mark set last $i.0
	while {[regexp -indices $pattern [$w get last "last lineend"] indices]} {
	    $w mark set first "last + [lindex $indices 0] chars"
	    $w mark set last  "last + 1 chars + [lindex $indices 1] chars"
	    uplevel $script
	}
    }
}


proc FindText {w t} {
    global tagUnderCursor current_index 
    set num_chars 0
    set found 0
    $w tag delete ViewTags.sel
    if {[regexp {[^ ]+} $t]} {
	forAllMatches $w $t {
	    $w tag add ViewTags.sel [$w index first] [$w index last]
	    $w tag configure ViewTags.sel -background LightSeaGreen -foreground yellow
	    $w see [$w index first]
	    set found [expr $found + 1]
	    update idletasks
	}
	set tagUnderCursor "Found: $found of: $t"
    }
}



proc CallFindText {} {

    global fileLabel fileValue fileCommand fileFunction output_file_name 
    global input_file_name annotatorName suffix configPrefix current_directory
    global dboxEntry dboxVariable dboxEntry dboxMessage dboxOk dboxDismiss
    
    set dboxOk       "Find"
    set dboxDismiss  "Dismiss"
    set dboxVariable ""
    set dboxMessage  "Find All Occurences Of:"
    set dboxEntry    ""

    wm deiconify .dbox
    raise .dbox .

}


    