################################################################################################
# FILE:    help_functions.tcl
# PURPOSE: Display manual pages for Nb in secondary text window (could be fancier...)
# AUTHOR:  Giovanni Flammia
#
#         Copyright (c) 1995
#         Spoken Language Systems Group
#         Laboratory for Computer Science
#         Massachusetts Institute of Technology
################################################################################################


puts "Loading: help_functions.tcl..."


proc MakeHelpMenu {} {
    global choiceTable formatTable menuArea font1 
    if {[info exists choiceTable(HelpFiles)]} {
	foreach item $choiceTable(HelpFiles) {
	    if {[info exists formatTable($item)]} {
		$menuArea.help.menu add command -label "$formatTable($item)" -font $font1 \
		    -command "DisplayHelpFile $item \"$formatTable($item)\""
	    }
	}
    }
}



proc DisplayHelpFile {file_name topic} {
  global textBuffer NB_SOURCE
  set slash "/"
  if {[string index $NB_SOURCE [expr [string length $NB_SOURCE] - 1]] == "/"} {
    set help_file $NB_SOURCE$file_name
  } else {
    set help_file $NB_SOURCE$slash$file_name
  }
  if {![file readable $help_file]} {
    set help_file $file_name
  }
  if {[file readable $help_file]} {
    catch {unset textBuffer}
    set textBuffer(0) ""
    LoadTextFile   $help_file
    ShowSecondText .second.top.text
    wm deiconify   .second
    wm title       .second "Nb Help $topic"
    wm iconname    .second "Nb Help $topic"
    raise .second .
  } else {
    WarningMessage "Help $topic: Help file $help_file \n not readable or not found.\nCheck the configuration file for the correct path name. \n  Default path name is: $NB_SOURCE \n"
  }
}

