#####################################################################################################
# FILE:    message_functions.tcl
# PURPOSE: Issue warning messages and status messages
# AUTHOR:  Giovanni Flammia 
#
#         (N)[b] Copyright (c) 1995
#         Spoken Language Systems Group
#         Laboratory for Computer Science
#         Massachusetts Institute of Technology
####################################################################################################

# Status in the bar below text in main window:
proc StatusMessage { message } {
  global tagUnderCursor
  set tagUnderCursor $message
}


# Warning message pop-up window:
# Tk BUG ON MACOS: Warning message popup can be smaller than actual message in MacOS Tk 4.2
proc WarningMessage { message } {
  global warningMessage .third textArea

  set warningMessage $message


  if {[$textArea.text tag ranges sel] != ""} {
    # Do nothing for the moment
  } else {
    if {[$textArea.text tag ranges ViewTags.sel] != ""} {
      $textArea.text tag delete ViewTags.sel
    }
  }
  catch {wm deiconify .third}
  catch {raise .third .}
  update idletasks
}


