##################################################################################################
# FILE:    output_functions.tcl
# PURPOSE: Display text from sents() to text widget in main window or from textBuffer() 
#          to text widget in second window
# AUTHOR:  Giovanni Flammia
#
#         (N)[b] Copyright (c) 1995
#         Spoken Language Systems Group
#         Laboratory for Computer Science
#         Massachusetts Institute of Technology
###################################################################################################

### puts "Loading: output_functions.tcl..."


proc ShowInputText {textwidget} {
    global num_sents sents input_file_name idTable
    puts "Called ShowInputText\n"
    $textwidget configure -state normal
    $textwidget delete 1.0 end
    set index 1
    while {$index < $num_sents} {
	# Put the sentence in
	$textwidget insert end [format "%s\n" $sents($index)]
	incr index
    }
    CustomBind
    $textwidget configure -state disabled
}


proc ShowSecondText {tw} {
    global textBuffer sizeBuffer
    puts "Called ShowSecondText\n"
    $tw configure -state normal
    $tw delete 1.0 end
    set index 1
    while {$index < $sizeBuffer} {
	# Put the sentence in
	# puts "$textBuffer($index)"
	$tw insert end [format "%s\n" $textBuffer($index)]
	incr index
    }
    $tw configure -state disabled
}







